Subject: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Stefan Monnier <[email-masked]>
Date: Tue, 14 Nov 2017 15:08:08 -0500

> I was not careful to make sure that the mark-ring contains valid
> markers, so it may be an error in my code.  On the other hand, looking
> at the definition of `clone-buffer' (which my patch uses), I don't see
> anything that would update the markers of the mark-ring in the newly
> cloned buffer to point to the new buffer instead of the old one.
> Maybe that is also a problem?

Yup, sounds like we have a bug in clone-buffer, at least.

        Stefan